# Class MessageAttributeParsingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
de.javawi.jstun.attribute.MessageAttributeException
de.javawi.jstun.attribute.MessageAttributeParsingException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `UnknownMessageAttributeException`

public class MessageAttributeParsingException extends MessageAttributeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MessageAttributeParsingException(String mesg)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageAttributeParsingException

public MessageAttributeParsingException(String mesg)